# PetscFListDuplicate

Creates a new list from a given object list.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscFListDuplicate(PetscFList fl,PetscFList *nl)

### Input Parameters

fl -pointer to list

### Output Parameters

nl -the new list (should point to 0 to start, otherwise appends)

### See Also

PetscFList, PetscFListAdd(), PetscFlistDestroy()

Level:developer
Location: src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages